Subject: [bug#74633] [PATCH v3] ui: Search channels for guix extensions

From: Brian Kubisiak <[email-masked]>
Date: Mon, 17 Feb 2025 07:53:07 -0800

> > My intention was to use /guix/extensions since it's the same directory
> > structure as existing extensions. I don't have a strong preference
> > here, though I think Carlo intended to support /guix/scripts in
> > #74425. Maybe it's a good idea to support both?
>
> Yes, it’s probably a good idea to support both.  In that case, the only
> thing missing here I think is for ‘commands’ to somehow visit
> guix/scripts/*.scm coming from channels.

I've sent an updated v4 (sorry for the long delay!) that addresses
this as well as the style fixes you suggested above.

I've also continued to run into issues with trying to import (or
autoload) the 'guix describe' module from guix/ui.scm and have
resorted to Carlo's original method of resolving the symbols lazily to
avoid the issue.

Thanks,
Brian